Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

App cdcreact-1.0.0-SNAPSHOT.jar não funciona.

Aula 03 - Vídeo 02:

1) A transcrição faltou mostrar como instalar o jQuery pelo comando npm.

2) A app jar citada cdcreact-1.0.0-SNAPSHOT.jar não funciona localmente pois depende de banco de dados MySQL local e configurado conforme o arquivo application.properties desse jar:

#spring boot properties
#Thu Jul 21 15:01:47 EDT 2016
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.username=root
spring.datasource.password=
spring.datasource.url=jdbc:mysql://localhost/cdc_react?createDatabaseIfNotExist=true
spring.jpa.hibernate.ddl-auto=update

3) Existem várias respostas sobre esse problema, datando do ano 2017, assim gostaria de sugerir a atualização/correção fortemente, por favor.

4) Usar um banco de dados MySQL local (instalação e configuração) está fora do escopo desse curso, deveria usar um banco de dados em memória e a própria app populasse os dados iniciais.

4 respostas

Cassius, boa tarde!

Muito obrigado pelo feedback, nós recebemos muitos pontos de melhorias em relação a esse curso, pensando nisso, lançamos dois cursos de react atualizados, e logo mais sairá um terceiro. Assim podemos garantir a qualidade da plataforma. Irei passar seus pontos para a equipe responsável para adicionar a transcrição!

Muito obrigado pela compreensão e bons estudos!

solução

Boa noite, Cassius! Como vai?

Há novos cursos de React aqui na Alura trazendo o que há de mais atual no que diz respeito a esse assunto e implementando uma série de melhorias dentre as quais estão as suas! Seguem os links!

https://cursos.alura.com.br/course/react-componentes-reutilizaveis

https://cursos.alura.com.br/course/react-validacao-rotas-api

Grande abraço e bons estudos, meu aluno!

Felipe e Gabriel,

Muito obrigado pela atenção.

Prezados, o projeto Java não funciona no Mysql 8 pois não existe declaração da propriedade "hibernate.dialect". Acho muito pouco dizer que em outros cursos o problema foi resolvido, é preciso fazer a correção do .jar no curso atual.